
VIRTUAL CREDIT CARD - Bug #14378

Android [QR PAY] Default SOF Settings #7986 #8051

22 September 2022 11:53 AM - AMARBEER SINGH SIDHU amar.beer

Status: Closed Start date: 22 September 2022

Priority: Normal Due date:  

Assignee: AMARBEER SINGH SIDHU amar.beer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Requirement:

1. if SOF "QR Pembayaran" toggle is ON, then "QR Lainnya" will follow SOF and toggle is ON

2. If SOF "QR Pembayaran" toggle is off, then "QR Lainnya" will not follow SOF "QR Pembayaran"

3. If SOF "QR Pembayaran" toggle is off, and set "QR Lainnya" toggle is off, then when trx QR Pay will use SOF "QR Pembayaran"

and QR Transfer will use SOF "QR Lainnya"

4. if SOF "QR Lainnya" toggle is ON, then "QR Pembayaran" will follow SOF and toggle is ON

5. if SOF CC "QR Pembayaran" and set "QR Lainnya" toggle is off, then when trx QR Pay will use SOF CC and QR Transfer will use

SOF "QR Lainnya"

From Santosh:

/v4/front/pre-login/default-account

/v4/front/default-account

-no changes on req

-resp extra field(accountNoLain) return defaultAccount for "QR Lainnya"

update-account

-no changes on resp (return accountNo on the same field, need seperated can be done)

-req added extra field (accountNoLain), to update "Qr Lainnya" return value in "accountNoLain" and empty/null on accountNo, vice

versa

-accountNoLain - represent to update Qr Lainnya

-accountNo - represent to update Qr Pay

History

#1 - 23 September 2022 06:53 PM - Hao Ter Tai

- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 23 September 2022 10:54 PM - Hao Ter Tai

- Status changed from Resolved to Assigned

- Assignee changed from Hao Ter Tai to AMARBEER SINGH SIDHU amar.beer

#3 - 28 September 2022 02:07 PM - AMARBEER SINGH SIDHU amar.beer

- Assignee changed from AMARBEER SINGH SIDHU amar.beer to Hao Ter Tai

In Settings when customer change pembayaran default to CC...Default Toggle OFF in Lainnya

#4 - 30 September 2022 11:23 AM - Hao Ter Tai

- Assignee changed from Hao Ter Tai to AMARBEER SINGH SIDHU amar.beer

#5 - 30 September 2022 05:02 PM - AMARBEER SINGH SIDHU amar.beer

- File Capture.PNG added

Transfer sender and withdrawal flow - condition customer register as CC

when land to select SOF screen "after intro"
1. customer did not select any account but able to proceed

2. customer selected an account and click next but at the input screen display not the customer selected account

3. after completing the transaction customer qr lainnya was not update

- customer select SOF and did not change again in drop down save customer selection

- customer change again in drop down - toggle ON - save customer selection

- custoner change again in drop down - toggle OFF - do not save customer selection

#6 - 03 October 2022 10:24 AM - AMARBEER SINGH SIDHU amar.beer

- Status changed from Assigned to Closed

Tested Good

Files

Capture.PNG 177 KB30 September 2022 AMARBEER SINGH SIDHU amar.beer
